Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.FN.Type

class slepc4py.SLEPc.FN.Type

  Bases: `object`

  FN type.

  - `COMBINE`: A math function defined by combining two functions.

  - `RATIONAL`: A rational function \(f(x)=p(x)/q(x)\).

  - `EXP`: The exponential function \(f(x)=e^x\).

  - `LOG`: The logarithm function \(f(x)=\log{x}\).

  - `PHI`: One of the Phi_k functions with index k.

  - `SQRT`: The square root function \(f(x)=\sqrt{x}\).

  - `INVSQRT`: The inverse square root function.

  See also

  `FNType`

  Attributes Summary

  `COMBINE` | Object `COMBINE` of type `str`
  `EXP` | Object `EXP` of type `str`
  `INVSQRT` | Object `INVSQRT` of type `str`
  `LOG` | Object `LOG` of type `str`
  `PHI` | Object `PHI` of type `str`
  `RATIONAL` | Object `RATIONAL` of type `str`
  `SQRT` | Object `SQRT` of type `str`

  Attributes Documentation

  COMBINE: str = COMBINE

    Object `COMBINE` of type `str`

  EXP: str = EXP

    Object `EXP` of type `str`

  INVSQRT: str = INVSQRT

    Object `INVSQRT` of type `str`

  LOG: str = LOG

    Object `LOG` of type `str`

  PHI: str = PHI

    Object `PHI` of type `str`

  RATIONAL: str = RATIONAL

    Object `RATIONAL` of type `str`

  SQRT: str = SQRT

    Object `SQRT` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)